#ifndef VISMONITORING_DQMSERVER_DQMRENDERPLUGIN_H
# define VISMONITORING_DQMSERVER_DQMRENDERPLUGIN_H

# include "VisMonitoring/DQMServer/interface/Objects.h"

class TCanvas;
class DQMStore;

class DQMRenderPlugin
{
public:
  virtual ~DQMRenderPlugin (void);

  virtual void		initialise (int argc, char **argv);
  virtual bool		applies (const DQMNet::CoreObject &obj,
				 const VisDQMImgInfo &img) = 0;
  virtual void		preDraw (TCanvas *c,
				 const DQMNet::CoreObject &obj,
				 const VisDQMImgInfo &img,
				 VisDQMRenderInfo &opts);
  virtual void		postDraw (TCanvas *c,
				  const DQMNet::CoreObject &obj,
				  const VisDQMImgInfo &img);
};

#endif // VISMONITORING_DQMSERVER_DQMRENDERPLUGIN_H
